## folks 0.13.1

=== meson_options.txt ===
# Backends
option('bluez_backend', type: 'boolean', value: true, description: 'build the Bluez backend')
option('eds_backend', type: 'boolean', value: true, description: 'build the E-D-S backend')
option('ofono_backend', type: 'boolean', value: true, description: 'build the oFono backend')
option('telepathy_backend', type: 'boolean', value: true, description: 'build the Telepathy backend')
option('tracker_backend', type: 'boolean', value: false, description: 'build the Tracker backend')
option('zeitgeist', type: 'boolean', value: false, description: 'build Zeitgeist support in the Telepathy backend')
# Tools
option('import_tool', type: 'boolean', value: true, description: 'Enable building the meta-contact import tool')
option('inspect_tool', type: 'boolean', value: true, description: 'Enable building the data inspection tool')
# Test options
option('installed_tests', type: 'boolean', value: false, description: 'Install test programs')
# Docs
option('docs', type: 'boolean', value: false, description: 'Enable documentation generation')

## folks 0.1.17

=== debian/changelog ===
folks (0.1.17-0ubuntu2) maverick; urgency=low

  * add debian/patches/01_disable_dbus_test.patch:
    - don't run dbus tests for buildds

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 14 Sep 2010 00:05:15 +0200

folks (0.1.17-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - add libxml2-dev build-dep
  * update debian/libfolks0.symbols

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Sep 2010 23:07:45 +0200

folks (0.1.16-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/control: Build-depends against valac-0.10 instead of valac

  [ Sjoerd Simons ]
  * New upstream release
  * d/p/0001-tp-lowlevel-doesn-t-actually-depend-upon-the-Gee-int.patch:
    - Removed, merged upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 01 Sep 2010 22:17:28 +0100

folks (0.1.15-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    - Bump vala build-dependencies
  * Enable introspection support
  * debian/libfolks0.symbols: Add new symbols
  * debian/libfolks0.install: Install new key-file backend
  * d/p/0001-tp-lowlevel-doesn-t-actually-depend-upon-the-Gee-int.patch:
    - Remove the need of Gee-1.0 gir file (taken from upstream)
  * debian/rules: Exclude new backend for dh_makeshlibs call

 -- Laurent Bigonville <bigon@debian.org>  Mon, 30 Aug 2010 11:59:15 +0200

folks (0.1.13-1) experimental; urgency=low

  * New upstream release
  * debian/control: Bump libtelepathy-glib-dev {build-}dependency
  * debian/libfolks0.symbols: Update symbols file
  * debian/rules: Fix -X path for dh_makeshlibs call

 -- Laurent Bigonville <bigon@debian.org>  Mon, 16 Aug 2010 22:15:50 +0200

folks (0.1.12-1) experimental; urgency=low

  * New upstream release
  * Update symbols file

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 03 Aug 2010 13:45:09 +0100

folks (0.1.11-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release
  * Update symbol files

  [ Laurent Bigonville ]
  * debian/control: Bump libtelepathy-glib-dev {build-}dependency as we really
    need the version from experimental
  * Bump Standards-Version to 3.9.1 (no further changes)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 28 Jul 2010 16:00:15 +0200

folks (0.1.10-1) experimental; urgency=low

  * Initial release (Closes: #589216)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 18 Jul 2010 23:32:26 +0200

=== debian/control ===
Source: folks
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               autotools-dev,
               libglib2.0-dev (>= 2.24),
               libtelepathy-glib-dev (>= 0.11.12),
               libdbus-glib-1-dev,
               valac-0.10 (>= 0.9.6),
               libvala-0.10-dev (>= 0.9.6),
               libxml2-dev,
               gobject-introspection,
               libgirepository1.0-dev (>= 0.6.7),
               libgee-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://telepathy.freedesktop.org/wiki/Folks
Vcs-Git: git://git.debian.org/git/pkg-telepathy/folks.git
Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/folks.git;a=summary

Package: libfolks0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: library to aggregates people into metacontacts
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.

Package: libfolks-dev
Section: libdevel
Architecture: any
Depends: libfolks0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.24),
         libgee-dev,
         ${misc:Depends}
Description: library to aggregates people into metacontact - developpement files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the developpement files for libfolks library.

Package: libfolks-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfolks0 (= ${binary:Version}),
         ${misc:Depends}
Description: library to aggregates people into metacontact - debugging symbols
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the debugging symbols for libfolks library.

Package: libfolks-telepathy0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Telepathy backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the Telepathy backend for libfolks

Package: libfolks-telepathy-dev
Section: libdevel
Architecture: any
Depends: libfolks-telepathy0 (= ${binary:Version}),
         libfolks-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.24),
         libtelepathy-glib-dev (>= 0.11.12),
         ${misc:Depends}
Description: Telepathy backend for libfolks - developpement files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the developpement files for libfolks telepathy backend.

Package: libfolks-telepathy-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfolks-telepathy0 (= ${binary:Version}),
         ${misc:Depends}
Description: Telepathy backend for libfolks - debugging symbols
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the debugging symbols for libfolks telepathy backend.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- --enable-introspection

override_dh_strip:
	dh_strip -plibfolks0 --dbg-package=libfolks-dbg
	dh_strip -plibfolks-telepathy0 --dbg-package=libfolks-telepathy-dbg

override_dh_makeshlibs:
	dh_makeshlibs -plibfolks0 -X/backends/
	dh_makeshlibs -plibfolks-telepathy0 -X/backends/

## folks 0.4.2

=== debian/changelog ===
folks (0.4.2-2) unstable; urgency=low

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 11 Apr 2011 16:59:34 +0200

folks (0.4.2-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 24 Mar 2011 16:44:10 +0000

folks (0.4.1-1) experimental; urgency=low

  * New upstream bugfix release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 19 Mar 2011 17:10:15 +0000

folks (0.4.0-1) experimental; urgency=low

  * New upstream stable release.
    - debian/control,
      debian/rules,
      debian/libfolks*{21,22}.*:
      + Updated for the new SONAME.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Mar 2011 13:07:45 +0000

folks (0.3.6-1) experimental; urgency=low

  * New upstream release.
    - debian/control:
      + Bump vala build dependency.
    - debian/control,
      debian/rules,
      debian/libfolks*{20,21}.*:
      + Updated for the new SONAME.
  * debian/rules:
    - Fail the build if the symbols files are outdated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 21 Feb 2011 10:49:58 +0000

folks (0.3.4-1) experimental; urgency=low

  * debian/control:
    - s/developpement/development/, thanks Will Thompson. Closes: #608276.
  * New upstream release.
    - debian/control,
      debian/rules,
      debian/libfolks*{19,20}.*:
      + Updated for the new SONAME.
  * debian/libfolks-dev.install,
    debian/libfolks-telepathy-dev.install:
    - Install the vala dev files.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 01 Feb 2011 18:28:05 +0000

folks (0.3.3-1) experimental; urgency=low

  * New upstream release.
    - debian/control,
      debian/rules,
      debian/libfolks*1[89].*:
      + Updated for the new SONAME.
  * debian/control:
    - Add myself to Uploaders.
  * debian/libfolks{,-telepathy}19.symbols:
    - Add Build-Depends-Package.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 14 Dec 2010 17:30:05 +0100

folks (0.3.2-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - debian/rules:
      + Build from the Vala sources.
    - debian/control:
      + Bump build dependencies.
    - debian/control,
      debian/rules,
      debian/libfolks*1[68].*:
      + Updated for the new SONAME.

  [ Laurent Bigonville ]
  * debian/control: Add intltool build-dependency
  * debian/rules: Drop unused --enable-introspection configure flag

 -- Laurent Bigonville <bigon@debian.org>  Tue, 16 Nov 2010 01:37:48 +0100

folks (0.3.1-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control:
      + Bump build-dependencies
      + Add minimal version for gobject-introspection build-dependency
      + Bump libtelepathy-glib-dev dependency against libfolks-telepathy-dev
  * Adjust both .symbols files

  [ Sjoerd Simons ]
  * Don't run the tests for now

 -- Laurent Bigonville <bigon@debian.org>  Thu, 04 Nov 2010 15:37:37 +0100

=== debian/control ===
Source: folks
Priority: optional
Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               autotools-dev,
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.24),
               libtelepathy-glib-dev (>= 0.13.1),
               libdbus-glib-1-dev,
               valac-0.12 (>= 0.11.6),
               libvala-0.12-dev (>= 0.11.6),
               gobject-introspection (>= 0.9.12),
               libgirepository1.0-dev (>= 0.9.12),
               libgee-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://telepathy.freedesktop.org/wiki/Folks
Vcs-Git: git://git.debian.org/git/pkg-telepathy/folks.git
Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/folks.git;a=summary

Package: libfolks22
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: library to aggregates people into metacontacts
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.

Package: libfolks-dev
Section: libdevel
Architecture: any
Depends: libfolks22 (= ${binary:Version}),
         libglib2.0-dev (>= 2.24),
         libgee-dev,
         ${misc:Depends}
Description: library to aggregates people into metacontact - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks library.

Package: libfolks-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfolks22 (= ${binary:Version}),
         ${misc:Depends}
Description: library to aggregates people into metacontact - debugging symbols
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the debugging symbols for libfolks library.

Package: libfolks-telepathy22
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Telepathy backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the Telepathy backend for libfolks

Package: libfolks-telepathy-dev
Section: libdevel
Architecture: any
Depends: libfolks-telepathy22 (= ${binary:Version}),
         libfolks-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.24),
         libtelepathy-glib-dev (>= 0.13.1),
         ${misc:Depends}
Description: Telepathy backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks telepathy backend.

Package: libfolks-telepathy-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfolks-telepathy22 (= ${binary:Version}),
         ${misc:Depends}
Description: Telepathy backend for libfolks - debugging symbols
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the debugging symbols for libfolks telepathy backend.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- --enable-vala

override_dh_strip:
	dh_strip -plibfolks22 --dbg-package=libfolks-dbg
	dh_strip -plibfolks-telepathy22 --dbg-package=libfolks-telepathy-dbg

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
override_dh_makeshlibs:
	dh_makeshlibs -plibfolks22 -X/backends/
	dh_makeshlibs -plibfolks-telepathy22 -X/backends/

override_dh_auto_test:

## folks 0.5.2

=== debian/changelog ===
folks (0.5.2-1) experimental; urgency=low

  * New upstream development release.
    + debian/control:
      - Update build dependencies.
    + debian/patches/01_add_missing_deps_file.patch:
      - Add a file missing from the tarball that causes a FTBFS because
        valac doesn't look for telepathy-glib bindings.
    + debian/control,
      debian/rules,
      debian/libfolks*{22,24}.*:
      - Updated for the new SONAME and symbols.
  * debian/gbp.conf:
    + Updated for the new experimental branches.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 08 Jun 2011 13:00:16 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,12 @@
                libglib2.0-dev (>= 2.24),
                libtelepathy-glib-dev (>= 0.13.1),
                libdbus-glib-1-dev,
-               valac-0.12 (>= 0.11.6),
-               libvala-0.12-dev (>= 0.11.6),
+               valac-0.12 (>= 0.12),
+               libvala-0.12-dev (>= 0.12),
+               libgconf2-dev (>= 2.31),
                gobject-introspection (>= 0.9.12),
                libgirepository1.0-dev (>= 0.9.12),
+               gir1.2-telepathyglib-0.12,
                libgee-dev
 Standards-Version: 3.9.1
 Section: libs
@@ -21,7 +23,7 @@
 Vcs-Git: git://git.debian.org/git/pkg-telepathy/folks.git
 Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/folks.git;a=summary
 
-Package: libfolks22
+Package: libfolks24
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -33,7 +35,7 @@
 Package: libfolks-dev
 Section: libdevel
 Architecture: any
-Depends: libfolks22 (= ${binary:Version}),
+Depends: libfolks24 (= ${binary:Version}),
          libglib2.0-dev (>= 2.24),
          libgee-dev,
          ${misc:Depends}
@@ -48,7 +50,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libfolks22 (= ${binary:Version}),
+Depends: libfolks24 (= ${binary:Version}),
          ${misc:Depends}
 Description: library to aggregates people into metacontact - debugging symbols
  libfolks is a library that aggregates people from multiple sources
@@ -57,7 +59,7 @@
  .
  This package contains the debugging symbols for libfolks library.
 
-Package: libfolks-telepathy22
+Package: libfolks-telepathy24
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -71,7 +73,7 @@
 Package: libfolks-telepathy-dev
 Section: libdevel
 Architecture: any
-Depends: libfolks-telepathy22 (= ${binary:Version}),
+Depends: libfolks-telepathy24 (= ${binary:Version}),
          libfolks-dev (= ${binary:Version}),
          libglib2.0-dev (>= 2.24),
          libtelepathy-glib-dev (>= 0.13.1),
@@ -87,7 +89,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libfolks-telepathy22 (= ${binary:Version}),
+Depends: libfolks-telepathy24 (= ${binary:Version}),
          ${misc:Depends}
 Description: Telepathy backend for libfolks - debugging symbols
  libfolks is a library that aggregates people from multiple sources

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- --enable-vala

override_dh_strip:
	dh_strip -plibfolks24 --dbg-package=libfolks-dbg
	dh_strip -plibfolks-telepathy24 --dbg-package=libfolks-telepathy-dbg

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
override_dh_makeshlibs:
	dh_makeshlibs -plibfolks24 -X/backends/
	dh_makeshlibs -plibfolks-telepathy24 -X/backends/

override_dh_auto_test:

## folks 0.6.0

=== debian/changelog ===
folks (0.6.0-1) experimental; urgency=low

  * New upstream stable release.
    + debian/patches/01_add_missing_deps_file.patch:
      - Removed, shipped in the new tarball.
    + debian/control,
      debian/rules,
      debian/libfolks*{24,25}.*:
      - Updated for the new SONAME and symbols.
    + debian/rules:
      - Don't build the eds backend for now as we don't have e-d-s 3.0.1.
      - Don't rebuild sources for now as we don't have vala 0.13 yet.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 16 Aug 2011 12:32:03 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Vcs-Git: git://git.debian.org/git/pkg-telepathy/folks.git
 Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/folks.git;a=summary
 
-Package: libfolks24
+Package: libfolks25
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -35,7 +35,7 @@
 Package: libfolks-dev
 Section: libdevel
 Architecture: any
-Depends: libfolks24 (= ${binary:Version}),
+Depends: libfolks25 (= ${binary:Version}),
          libglib2.0-dev (>= 2.24),
          libgee-dev,
          ${misc:Depends}
@@ -50,7 +50,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libfolks24 (= ${binary:Version}),
+Depends: libfolks25 (= ${binary:Version}),
          ${misc:Depends}
 Description: library to aggregates people into metacontact - debugging symbols
  libfolks is a library that aggregates people from multiple sources
@@ -59,7 +59,7 @@
  .
  This package contains the debugging symbols for libfolks library.
 
-Package: libfolks-telepathy24
+Package: libfolks-telepathy25
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -73,7 +73,7 @@
 Package: libfolks-telepathy-dev
 Section: libdevel
 Architecture: any
-Depends: libfolks-telepathy24 (= ${binary:Version}),
+Depends: libfolks-telepathy25 (= ${binary:Version}),
          libfolks-dev (= ${binary:Version}),
          libglib2.0-dev (>= 2.24),
          libtelepathy-glib-dev (>= 0.13.1),
@@ -89,7 +89,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libfolks-telepathy24 (= ${binary:Version}),
+Depends: libfolks-telepathy25 (= ${binary:Version}),
          ${misc:Depends}
 Description: Telepathy backend for libfolks - debugging symbols
  libfolks is a library that aggregates people from multiple sources

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
#	dh_auto_configure -- --enable-vala
	dh_auto_configure -- --disable-eds-backend

override_dh_strip:
	dh_strip -plibfolks25 --dbg-package=libfolks-dbg
	dh_strip -plibfolks-telepathy25 --dbg-package=libfolks-telepathy-dbg

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
override_dh_makeshlibs:
	dh_makeshlibs -plibfolks25 -X/backends/
	dh_makeshlibs -plibfolks-telepathy25 -X/backends/

override_dh_auto_test:

## folks 0.6.1

=== debian/changelog ===
folks (0.6.1-1) experimental; urgency=low

  * New upstream stable release.
  * debian/rules:
    - List missing files during build
    - Re-enable source rebuild
    - Call dh_girepository after dh_shlibdeps
  * debian/control:
    - Bump vala build-dependency to 0.3.13
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Add gir1.2-folks-0.6 package
    - Bump libgee-dev {build-}dependency to (>= 0.6.1-3~) to be sure GIR
      bindings are generated

 -- Laurent Bigonville <bigon@debian.org>  Thu, 01 Sep 2011 13:47:50 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                libglib2.0-dev (>= 2.24),
                libtelepathy-glib-dev (>= 0.13.1),
                libdbus-glib-1-dev,
-               valac-0.12 (>= 0.12),
-               libvala-0.12-dev (>= 0.12),
+               valac-0.14 (>= 0.13.3),
+               libvala-0.14-dev (>= 0.13.3),
                libgconf2-dev (>= 2.31),
                gobject-introspection (>= 0.9.12),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-telepathyglib-0.12,
-               libgee-dev
-Standards-Version: 3.9.1
+               libgee-dev (>= 0.6.1-3~)
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://telepathy.freedesktop.org/wiki/Folks
 Vcs-Git: git://git.debian.org/git/pkg-telepathy/folks.git
@@ -36,8 +36,9 @@
 Section: libdevel
 Architecture: any
 Depends: libfolks25 (= ${binary:Version}),
+         gir1.2-folks-0.6 (= ${binary:Version}),
          libglib2.0-dev (>= 2.24),
-         libgee-dev,
+         libgee-dev (>= 0.6.1-3~),
          ${misc:Depends}
 Description: library to aggregates people into metacontact - development files
  libfolks is a library that aggregates people from multiple sources
@@ -58,6 +59,19 @@
  Facebook, etc.) to create metacontacts.
  .
  This package contains the debugging symbols for libfolks library.
+
+Package: gir1.2-folks-0.6
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${gir:Depends},
+         ${misc:Depends}
+Description: library to aggregates people into metacontacts - GObject-Introspection
+ libfolks is a library that aggregates people from multiple sources
+ (eg, Telepathy connection managers and eventually evolution data server,
+ Facebook, etc.) to create metacontacts.
+ .
+ It can be used by packages using the GIRepository format to generate dynamic
+ bindings.
 
 Package: libfolks-telepathy25
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 	dh $@ 
 
 override_dh_auto_configure:
-#	dh_auto_configure -- --enable-vala
-	dh_auto_configure -- --disable-eds-backend
+	dh_auto_configure -- --enable-vala --disable-eds-backend
 
 override_dh_strip:
 	dh_strip -plibfolks25 --dbg-package=libfolks-dbg
@@ -20,4 +19,11 @@
 	dh_makeshlibs -plibfolks25 -X/backends/
 	dh_makeshlibs -plibfolks-telepathy25 -X/backends/
 
+override_dh_install:
+	dh_install --list-missing
+
+override_dh_shlibdeps:
+	dh_shlibdeps
+	dh_girepository
+
 override_dh_auto_test:

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/folks/([0-9.]+)/folks-(.*).tar.bz2

## folks 0.6.3

=== debian/changelog ===
folks (0.6.3-1) experimental; urgency=low

  * New upstream release
  * debian/libfolks25.symbols
    + Updated

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 18 Sep 2011 23:18:07 +0100

folks (0.6.2-2) experimental; urgency=low

  * Add folks-tools package with folks-inspect and folks-import

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 17 Sep 2011 01:04:11 +0100

folks (0.6.2-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * New upstream stable release.
  * debian/control: Bump vala build-dependency

  [ Sjoerd Simons ]
  * debian/libfolks25.symbols: Update symbols

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 17 Sep 2011 00:21:08 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,15 @@
                libglib2.0-dev (>= 2.24),
                libtelepathy-glib-dev (>= 0.13.1),
                libdbus-glib-1-dev,
-               valac-0.14 (>= 0.13.3),
-               libvala-0.14-dev (>= 0.13.3),
+               valac-0.14 (>= 0.13.4),
+               libvala-0.14-dev (>= 0.13.4),
                libgconf2-dev (>= 2.31),
                gobject-introspection (>= 0.9.12),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-telepathyglib-0.12,
-               libgee-dev (>= 0.6.1-3~)
+               libgee-dev (>= 0.6.1-3~),
+               libxml2-dev,
+               libreadline6-dev
 Standards-Version: 3.9.2
 Section: libs
 Homepage: http://telepathy.freedesktop.org/wiki/Folks
@@ -111,3 +113,16 @@
  Facebook, etc.) to create metacontacts.
  .
  This package contains the debugging symbols for libfolks telepathy backend.
+
+Package: folks-tools
+Section: utils
+Priority: extra
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Telepathy backend for libfolks - debugging symbols
+ libfolks is a library that aggregates people from multiple sources
+ (eg, Telepathy connection managers and eventually evolution data server,
+ Facebook, etc.) to create metacontacts.
+ .
+ This package contains tools to inspect the folks database and import
+ metacontacts from pidgin

## folks 0.6.3.2

=== debian/changelog ===
folks (0.6.3.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fixes gnome-contacts crash (LP: #865466)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Oct 2011 05:57:20 -0400

folks (0.6.3.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Mon, 26 Sep 2011 15:56:00 +0200

folks (0.6.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/libfolks25.symbols:
  * debian/libfolks-eds25.symbols:
    - Updated symbols

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Mon, 19 Sep 2011 10:47:46 +0200

folks (0.6.2.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Mon, 12 Sep 2011 12:47:19 +0200

folks (0.6.2-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/control:
    - Bump vala build dependency
  * debian/libfolks25.symbols:
  * debian/libfolks-eds25.symbols:
    - Updated symbols

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Thu, 08 Sep 2011 12:26:07 +0200

folks (0.6.1-0ubuntu2) oneiric; urgency=low

  * debian/{control,gir1.2-folks-0.6.install,libfolks-dev}:
    - install gobject introspection files

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 30 Aug 2011 07:47:27 +0200

folks (0.6.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/rules:
    - Explicitly disable libsocialweb backend 
  * debian/control:
    - Build depend on libvala-0.14, not ..-0.12
    - Build depend on valac >= 0.13.3

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Mon, 29 Aug 2011 17:46:04 +0200

folks (0.6.0-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/patches/01_add_missing_deps_file.patch
    - Dropped, merged upstream
  * debian/control
    - Build depend on valac-0.14
    - Added build depends for libebook1.2-dev and libedataserver1.2-dev
    - New binaries for libfolks-eds25
    - Bumped standards version to 3.9.2
  * debian/*.install, debian/*.symbols
    - soname change and new binaries for the eds backend
  * debian/rules
    - enable-eds-backend

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 16 Aug 2011 16:22:08 -0400

folks (0.5.2-1ubuntu1) oneiric; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
    - debian/control:
      + Add Vcs-Bzr link

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 10 Jun 2011 11:28:11 -0400

folks (0.4.2-0ubuntu1) natty; urgency=low

  * New upstream release
    - Use LinkedHashSet to access im-addresses
    - fixed segfault on startup 
    - fixed crasher when removing Personas

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 23 Mar 2011 18:06:48 -0400

folks (0.4.1-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fixed crasher when reconnecting a Telepathy account

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 18 Mar 2011 16:49:27 -0400

folks (0.4.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * Changed .install and .symbols files from 21 to 22
  * debian/libfolks-telepathy22.symbols:
  * debian/libfolks22.symbols:
    - Updated

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 16 Mar 2011 11:07:51 -0400

folks (0.3.6-0ubuntu1) natty; urgency=low

  * New upstream release
  * Changed .install and .symbols files from 20 to 21
  * debian/control:
    - Bump build-depends on valac-0.12, libvala-0.12-dev
  * debian/libfolks-telepathy21.symbols:
  * debian/libfolks21.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 Feb 2011 12:06:14 +1100

folks (0.3.4-0ubuntu1) natty; urgency=low

  * New Upstream Release
    - libfolks-telepathy.so exports private symbols
    - Add a HACKING file that outlines development policies and coding style
    - Review coding conventions in folks
    - Add folks command line application
    - libfolks hard-codes backend names for debugging
    - Print stack traces for failed tests to improve remote debugging
    - Add static aggregation tests
    - Logger service unavailable in make check
    - Add tests for LinkedHashSet
    - Use better interface names
  * debian/control
    -changed Maintainer to XSBC-Original-Maintainer
    -added Maintainer of Ubuntu Core Developers
    -changed libfolks19* > libfolks20*
  * debian
    -changed .install and .symbols files from 19 > 20
 -- Brian Curtis <bcurtiswx@ubuntu.com>  Wed, 02 Feb 2011 14:22:14 -0500

folks (0.3.3-1ubuntu1) natty; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
  * debian/control:
    - Build-depend on dh-autoreconf
    - Bump build-depends on valac-0.12, libvala-0.12-dev
    - Add Vcs-Bzr link
  * debian/rules:
    - Build with autoreconf

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 21 Dec 2010 17:40:15 +1100

=== debian/control ===
Source: folks
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               autotools-dev,
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.24),
               libtelepathy-glib-dev (>= 0.13.1),
               libdbus-glib-1-dev,
               valac-0.14 (>= 0.13.4),
               libvala-0.14-dev (>= 0.13.4),
               libgconf2-dev (>= 2.31),
               gobject-introspection (>= 0.9.12),
               libgirepository1.0-dev (>= 0.9.12),
               gir1.2-telepathyglib-0.12,
               libebook1.2-dev (>= 3.1.4-0ubuntu7),
               libedataserver1.2-dev (>= 3.1.4-0ubuntu7),
               libgee-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://telepathy.freedesktop.org/wiki/Folks
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/folks/ubuntu

Package: libfolks25
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: library to aggregates people into metacontacts
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers, evolution data server, and eventually
 Facebook, etc.) to create metacontacts.

Package: libfolks-dev
Section: libdevel
Architecture: any
Depends: libfolks25 (= ${binary:Version}),
         gir1.2-folks-0.6 (= ${binary:Version}),
         libglib2.0-dev (>= 2.24),
         libgee-dev,
         ${misc:Depends}
Description: library to aggregates people into metacontact - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers, evolution data server, and eventually
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks library.

Package: gir1.2-folks-0.6
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the Folks library
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers, evolution data server, and eventually
 Facebook, etc.) to create metacontacts.
 .
 This package contains introspection data for the libfolks library. It
 can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libfolks-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfolks25 (= ${binary:Version}),
         ${misc:Depends}
Description: library to aggregates people into metacontact - debugging symbols
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers, evolution data server, and eventually
 Facebook, etc.) to create metacontacts.
 .
 This package contains the debugging symbols for libfolks library.

Package: libfolks-telepathy25
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Telepathy backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers, evolution data server, and eventually
 Facebook, etc.) to create metacontacts.
 .
 This package contains the Telepathy backend for libfolks

Package: libfolks-telepathy-dev
Section: libdevel
Architecture: any
Depends: libfolks-telepathy25 (= ${binary:Version}),
         libfolks-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.24),
         libtelepathy-glib-dev (>= 0.13.1),
         ${misc:Depends}
Description: Telepathy backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers, evolution data server, and eventually
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks telepathy backend.

Package: libfolks-telepathy-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfolks-telepathy25 (= ${binary:Version}),
         ${misc:Depends}
Description: Telepathy backend for libfolks - debugging symbols
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers, evolution data server, and eventually
 Facebook, etc.) to create metacontacts.
 .
 This package contains the debugging symbols for libfolks telepathy backend.

Package: libfolks-eds25
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Evolution Data Server backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers, evolution data server, and eventually
 Facebook, etc.) to create metacontacts.
 .
 This package contains the Telepathy backend for libfolks

Package: libfolks-eds-dev
Section: libdevel
Architecture: any
Depends: libfolks-eds25 (= ${binary:Version}),
         libfolks-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.24),
         libtelepathy-glib-dev (>= 0.13.1),
         ${misc:Depends}
Description: Evolution Data Server backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers, evolution data server, and eventually
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks eds backend.

Package: libfolks-eds-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfolks-eds25 (= ${binary:Version}),
         ${misc:Depends}
Description: Evolution Data Server backend for libfolks - debugging symbols
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers, evolution data server, and eventually
 Facebook, etc.) to create metacontacts.
 .
 This package contains the debugging symbols for libfolks telepathy backend.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- --enable-vala --enable-eds-backend --disable-libsocialweb-backend

override_dh_strip:
	dh_strip -plibfolks25 --dbg-package=libfolks-dbg
	dh_strip -plibfolks-telepathy25 --dbg-package=libfolks-telepathy-dbg
	dh_strip -plibfolks-eds25 --dbg-package=libfolks-eds-dbg

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
override_dh_makeshlibs:
	dh_makeshlibs -plibfolks25 -X/backends/
	dh_makeshlibs -plibfolks-telepathy25 -X/backends/
	dh_makeshlibs -plibfolks-eds25 -X/backends/

override_dh_auto_test:

## folks 0.6.5

=== debian/changelog ===
folks (0.6.5-2) experimental; urgency=low

  * debian/control, debian/rules: enable e-d-s backend
  * debian/gbp.conf: use xz compression
  * debian/control: Let libfolks25 recommend the EDS backend

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 13 Nov 2011 14:03:39 +0100

folks (0.6.5-1) unstable; urgency=low

  * New upstream release
  * debian/libfolks25.symbols: Updated
  * debian/gbp.conf: use xz compression
  * Fixes contact linking with the keyfile primary store (Closes: #645950)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 13 Nov 2011 13:19:15 +0100

folks (0.6.3.2-2) unstable; urgency=low

  * debian/rules: Call dh_strip for folks-tools package
  * debian/gbp.conf: Switch to unstable branch
  * debian/control:
    - Add libncurses5-dev build-dependency
    - Fix duplicate description
  * debian/watch: Switch to .xz tarball

 -- Laurent Bigonville <bigon@debian.org>  Thu, 13 Oct 2011 21:02:50 +0200

folks (0.6.3.2-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 01 Oct 2011 13:50:35 +0100

=== debian/control ===
Source: folks
Priority: optional
Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               autotools-dev,
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.24),
               libtelepathy-glib-dev (>= 0.13.1),
               libdbus-glib-1-dev,
               valac-0.14 (>= 0.13.4),
               libvala-0.14-dev (>= 0.13.4),
               libgconf2-dev (>= 2.31),
               gobject-introspection (>= 0.9.12),
               libgirepository1.0-dev (>= 0.9.12),
               gir1.2-telepathyglib-0.12,
               libgee-dev (>= 0.6.1-3~),
               libxml2-dev,
               libncurses5-dev,
               libreadline6-dev,
               libebook1.2-dev (>= 3.1.5),
               libedataserver1.2-dev (>= 3.1.5)
Standards-Version: 3.9.2
Section: libs
Homepage: http://telepathy.freedesktop.org/wiki/Folks
Vcs-Git: git://git.debian.org/git/pkg-telepathy/folks.git
Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/folks.git;a=summary

Package: libfolks25
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libfolks-eds25
Description: library to aggregates people into metacontacts
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.

Package: libfolks-dev
Section: libdevel
Architecture: any
Depends: libfolks25 (= ${binary:Version}),
         gir1.2-folks-0.6 (= ${binary:Version}),
         libglib2.0-dev (>= 2.24),
         libgee-dev (>= 0.6.1-3~),
         ${misc:Depends}
Description: library to aggregates people into metacontact - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks library.

Package: libfolks-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfolks25 (= ${binary:Version}),
         ${misc:Depends}
Description: library to aggregates people into metacontact - debugging symbols
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the debugging symbols for libfolks library.

Package: gir1.2-folks-0.6
Architecture: any
Depends: ${shlibs:Depends},
         ${gir:Depends},
         ${misc:Depends}
Description: library to aggregates people into metacontacts - GObject-Introspection
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 It can be used by packages using the GIRepository format to generate dynamic
 bindings.

Package: libfolks-telepathy25
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Telepathy backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the Telepathy backend for libfolks

Package: libfolks-telepathy-dev
Section: libdevel
Architecture: any
Depends: libfolks-telepathy25 (= ${binary:Version}),
         libfolks-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.24),
         libtelepathy-glib-dev (>= 0.13.1),
         ${misc:Depends}
Description: Telepathy backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks telepathy backend.

Package: libfolks-eds25
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Telepathy backend for libfolks
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the EDS backend for libfolks

Package: libfolks-eds-dev
Section: libdevel
Architecture: any
Depends: libfolks-eds25 (= ${binary:Version}),
         libfolks-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.24),
         libebook1.2-dev,
         libedataserver1.2-dev
         ${misc:Depends}
Description: Telepathy backend for libfolks - development files
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the development files for libfolks EDS backend.

Package: libfolks-eds-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfolks-eds25 (= ${binary:Version}),
         ${misc:Depends}
Description: Telepathy backend for libfolks - debugging symbols
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the debugging symbols for libfolks EDS backend.

Package: libfolks-telepathy-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfolks-telepathy25 (= ${binary:Version}),
         ${misc:Depends}
Description: Telepathy backend for libfolks - debugging symbols
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains the debugging symbols for libfolks telepathy backend.

Package: folks-tools
Section: utils
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telepathy backend for libfolks - database and import tools
 libfolks is a library that aggregates people from multiple sources
 (eg, Telepathy connection managers and eventually evolution data server,
 Facebook, etc.) to create metacontacts.
 .
 This package contains tools to inspect the folks database and import
 metacontacts from pidgin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- --enable-vala --enable-eds-backend \
		--enable-import-tool --enable-inspect-tool

override_dh_strip:
	dh_strip -plibfolks25 --dbg-package=libfolks-dbg
	dh_strip -plibfolks-telepathy25 --dbg-package=libfolks-telepathy-dbg
	dh_strip -plibfolks-eds25 --dbg-package=libfolks-eds-dbg
	dh_strip -pfolks-tools

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
override_dh_makeshlibs:
	dh_makeshlibs -plibfolks25 -X/backends/
	dh_makeshlibs -plibfolks-telepathy25 -X/backends/
	dh_makeshlibs -plibfolks-eds25 -X/backends/

override_dh_install:
	dh_install --list-missing

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository

override_dh_auto_test:
